function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var karma = require('karma');
var configure = _interopDefault(require('./configure.js'));

var karmatic = function (options) {
  try {
    var config = configure(options);
    if (!options.watch) { config.singleRun = true; }
    var server = createServer(config);
    server.start();
    return Promise.resolve(server.completion);
  } catch (e) {
    return Promise.reject(e);
  }
};

function createServer(config) {
  var resolve, reject;
  var promise = new Promise(function (res, rej) {
    resolve = res;
    reject = rej;
  });

  var callback = function (code) {
    if (code === 0) { return resolve(); }
    var err = Error(("Exit " + code));
    err.code = code;
    reject(err);
  };

  var server = new karma.Server(config, callback);
  server.completion = promise;
  return server;
}

module.exports = karmatic;
//# sourceMappingURL=index.js.map
